Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode
Class RadarTurnCompleteCondition

    java.lang.Object
      robocode.Condition
          robocode.RadarTurnCompleteCondition

    public class RadarTurnCompleteCondition

extends Condition

A prebuilt condition you can use that indicates your radar has finished turning.

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor), Nathaniel Troutman (contributor)
See Also:
  `Condition`

Field Summary

Fields inherited from class robocode.Condition
`name, priority`

Constructor Summary
`RadarTurnCompleteCondition(AdvancedRobot robot)` Creates a new RadarTurnCompleteCondition with default priority.
`RadarTurnCompleteCondition(AdvancedRobot robot, int priority)` Creates a new RadarTurnCompleteCondition with the specified priority.

Method Summary
`void` | `cleanup()` Called by the system in order to clean up references to internal objects.
`boolean` | `test()` Tests if the radar has stopped turning.

Methods inherited from class robocode.Condition
`getName, getPriority, setName, setPriority`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RadarTurnCompleteCondition

    public RadarTurnCompleteCondition(AdvancedRobot robot)

  Creates a new RadarTurnCompleteCondition with default priority. The default priority is 80.

  Parameters:
    `robot` - your robot, which must be a `AdvancedRobot`

### RadarTurnCompleteCondition

    public RadarTurnCompleteCondition(AdvancedRobot robot,
                                      int priority)

  Creates a new RadarTurnCompleteCondition with the specified priority. A condition priority is a value from 0 - 99. The higher value, the higher priority. The default priority is 80.

  Parameters:
    `robot` - your robot, which must be a `AdvancedRobot`
    `priority` - the priority of this condition
  See Also:
    `Condition.setPriority(int)`

Method Detail

### test

    public boolean test()

  Tests if the radar has stopped turning.

  Specified by:
    `test` in class `Condition`
  Returns:
    `true` if the radar has stopped turning; `false` otherwise

### cleanup

    public void cleanup()

  Called by the system in order to clean up references to internal objects.

  Overrides:
    `cleanup` in class `Condition`
  Since:
    1.4.3

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Robocode. All Rights Reserved.